(function () {
    function notSupportMessage() {
        alert('Вы используете устаревшую версию браузера. Для корректной работы сервиса необходимо обновить браузер до актуальной версии. Рекомендуем использовать браузеры Chrome, Firefox, Safari, Edge, Opera версии не ниже 2019-2021 года.');
    };
    var browser = bowser.getParser(window.navigator.userAgent);
    var Engine = browser.getEngineName();
    var BrowserName = browser.getBrowserName();
    if (Engine === 'Trident' || Engine === 'EdgeHTML' || Engine === 'Presto') {
        notSupportMessage();
        return;
    }
    if (BrowserName !== 'Safari' && BrowserName !== 'Chrome' && BrowserName !== 'Firefox') {
        return;
    }
    var satisfies = browser.satisfies({
        chrome: '>90',
        safari: '>14.1',
        firefox: '>91',
    });
    if (!satisfies) {
        notSupportMessage();
        return;
    }
}());